CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
ProtectorChain::ProtectFunctor Class Reference
Inheritance diagram for ProtectorChain::ProtectFunctor:

## Public Member Functions

| ProtectFunctor (Protector *protector, const Functor &functor, const ProtectorContext &context)
bool | operator() () const
Public Member Functions inherited from Functor
virtual | ~Functor ()

## Private Attributes

Protector * | m_protector
const Functor & | m_functor
const ProtectorContext & | m_context

## Constructor & Destructor Documentation

ProtectorChain::ProtectFunctor::ProtectFunctor | ( | Protector * | protector,
|  | const Functor & | functor,
|  | const ProtectorContext & | context
| ) |  |

inline

## Member Function Documentation

bool ProtectorChain::ProtectFunctor::operator() | ( |  | ) | const

inline virtual

Implements Functor.

## Member Data Documentation

const ProtectorContext& ProtectorChain::ProtectFunctor::m_context

private

const Functor& ProtectorChain::ProtectFunctor::m_functor

private

Protector* ProtectorChain::ProtectFunctor::m_protector

private

The documentation for this class was generated from the following file:

- ProtectorChain.cpp

| hosts this site. |  | Send comments to: CppUnit Developers